PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List projects GETCreate a project POSTGet a project GETUpdate a project PATCHSoft-delete a project DELETE
Projects

Soft-delete a project

DELETE
/projects/{projectId}

Authorization

x-api-key<token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "categoryId": "string",    "name": "string",    "description": "string",    "color": "string",    "icon": "string",    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Update a project PATCH

Previous Page

List labels in a project GET

Next Page